/* establecer el orden de los layers de menor a mayor prioridad */
@layer reset, defaults, theme, pages;

/* importar una hoja de estilo en el layer reset */
/* @import url("@unocss/reset/tailwind.css") layer(reset); */

/* añadir estilos al layer defaults */
@layer defaults {
  html {
    --at-apply: scroll-smooth;
  }

  body {
    --at-apply: font-serif text-zinc-900;
  }
}

/* añadir estilos al layer theme */
@layer theme {
  ::-webkit-scrollbar {
    --at-apply: w-2 h-2;
  }
  ::-webkit-scrollbar-track {
    --at-apply: bg-zinc-300;
  }
  ::-webkit-scrollbar-thumb {
    --at-apply: bg-zinc-800 rounded;
  }
  ::-webkit-scrollbar-thumb:hover {
    --at-apply: bg-zinc-700;
  }

  ::-moz-selection {
    --at-apply: text-black bg-lime-300;
  }
  ::selection {
    --at-apply: text-black bg-lime-300;
  }
}

/* añadir estilos al layer pages */
@layer pages {

}
